% Get adjacency matrices
G = parsebrite('ASBarabasi5000U.brite');
[adj, A] = matrixbrite(G);

% Note which hosts are end hosts
end_hosts = [];
for k = 1:G.nv
  if G.v(k).ind <= 2 & G.v(k).outd <= 2
    end_hosts = [end_hosts k];
  end
end

% Randomly permute the list of end hosts
p = randperm(length(end_hosts));
end_hosts = end_hosts(p);
