% [n] = pathnodes(to, p)
%
% Recover the list of nodes n leading to the specified destination
% using a predecessor index vector p generated from Dijkstra.

function [n] = pathnodes(to, p)

n = [to];
while (p(to) > 0)
  to = p(to);
  n  = [to n];
end
