

// package LossyLink;


import java.io.*;
import java.util.*;
import cluster.*;


/*************************************************************************************
* The <CODE>LossyLinkDebug</CODE> class is made to faciliate debugging/testing
* for other LossyLink*.java
*
**************************************************************************************/


public class LossyLinkDebug// implements Serializable, WNMMSConstants
{
    static boolean bDebug = false;
    static boolean bTest = false;

    public static void setDebug( boolean bDebugInput )
    {
	bDebug = bDebugInput;
    }

    public static void setTest( boolean bTestInput )
    {
	bTest = bTestInput;
    }

    public static boolean isDebug()
    {
	return bDebug;
    }

    public static void println( String strInput )
    {
	if( bDebug )
	    {
		System.out.println( strInput );
	    }
    }

    public static void print( String strInput )
    {
	if( bDebug )
	    {
		System.out.print( strInput );
	    }
    }
}
