/*
 * function [e] = addpaths(V, Vi, R, tol, layout, blockR)
 *
 * Choose columns of Vi to extend V and update the Cholesky factor R.
 */

#include <mex.h>

void mexaddpathsf(int nlhs, mxArray** plhs,
                  int nrhs, const mxArray** prhs);

void mexaddpathsd(int nlhs, mxArray** plhs,
                  int nrhs, const mxArray** prhs);

void mexFunction(int nlhs, mxArray** plhs,
                 int nrhs, const mxArray** prhs)
{
    if (mxIsDouble(prhs[2])) {
        mexaddpathsd(nlhs, plhs, nrhs, prhs);
    } else {
        mexaddpathsf(nlhs, plhs, nrhs, prhs);
    }
}
