function [G2, B2, pathIndexList ] = columnWiseQR( G, B )

[Q, R, E] = qr( G' );

k = 1;
diag_R = diag( R )
size_E = size(E);
for i = 1 : length( diag_R )
    if abs( diag_R( i, 1 ) ) > 1e-4
        for j = 1 : size_E( 1 )
            if E( j, i ) == 1
                G2( k, : ) = G( j, : );
                B2( k, 1 ) = B( j, 1 );
                pathIndexList( k ) = j - 1;% pathIndexList has 0 based index list
                k = k + 1;
            end
        end
    end
end