function [G3, linkIndexList, initialLinkCount] = rowWiseQR( G2 )

[Q2, R2, E2] = qr( G2 );

k = 1;
diag_R2 = diag( R2 );
size_E2 = size( E2 );
for i = 1 : length( diag_R2 )
    if abs( diag_R2( i,1 ) ) > 1e-4
        for j = 1 : size_E2( 1 )
            if E2( j, i ) == 1
                G3( :, k ) = G2( :, j );
                linkIndexList( k ) = j - 1; %linkIndexList has 0 based list of link indices
                k = k + 1;
            end
        end
    end
end
fprintf('\nInitial link count : %d\n', size_E2( 1 ) );
fprintf('Number of link chosen : %d\n', k-1 );
initialLinkCount = size_E2( 1 );
