/**
 *OBJECT:	This class is used
 *				for the Dijkstra algorithm with a Binary heap
 *				priority queue.  It defines the atributes of
 *				a node in a Binary heap.
 *
 * @version    $Id: BHNode.java,v 1.1 12/26/2001
 *
 * @author    Mark Rabin
 *
 * Revisions:
 *     $Log: BHNode.java,v 1.1$
 *     Revision 1.1  12/26/2001
 *     Initial revision
 *
 */


// package LossyLink;


public class BHNode extends HeapNode{

	/**
	 * The constructor initializes a node in the
	 * Binary heap.
	 *
	 * @param id the identification number of the new node
   * @parma value the current shortest path estimate
   */
  public BHNode( int id, double value ) {
      super( id, value );
  }

}
