fprintf('# of end_hosts : %d\n', length( end_hosts ) );
fprintf('num_hosts : %d\n', num_end_hosts );

end_hosts = end_hosts( 1:num_end_hosts );

param = [];
param.precision = 'single';
param.layout    = 'packed';
param.tol       = 1e-3;

Gmat = pathmatrix( end_hosts, adj, A );
[I, R] = rowselect( Gmat, param );

Gbar = G(I,:);
bbar = rand(length(I), 1);
xG   = compute_xG( Gbar, R, bbar, param );

  % output Gmat matrix ------------------------------------------ 
  fidWrite = fopen( strGfile, 'w' );
  if fidWrite == -1
     fprintf('ERROR : Can not write file %s\n', strGfile );
  end

  size_G = size( Gmat );
  fprintf( 'size_G : %d %d\n', size_G(1), size_G(2) );
  fprintf( fidWrite, '%d\n', size_G(1) );
  fprintf( fidWrite, '%d\n', size_G(2) );
  fprintf( fidWrite, '%d\n', length(find(Gmat)) );

  for ii = 1 : size_G(1)
      p = 2;    % Leave a space for nnz_in_row
      nnz_in_row = 0; 
      row_data = [];
      for jj = 1 : size_G(2)
          if Gmat(ii, jj) == 1
              nnz_in_row = nnz_in_row + 1;
              row_data(p) = jj-1; p = p+1;
          end
      end
      row_data(1) = nnz_in_row;
      fprintf( fidWrite, '%d ', row_data );
      fprintf( fidWrite, '\n' );
  end

  fclose( fidWrite );

















